[jitsi-dev] How to find or what versions of all library dependencies that JVB version 527-1 are using?


#1

Hi,

First of all, I tried to use the latest stable Jitsi, JVB, Jigasi packages together for debian, but all calls don't have any voice at all.

However, it could have 2-way voice if I reinstall JVB with version 527-1.

So, I am trying to build from the JVB version 527-1 source code to figure out the root cause.

However, it basically cannot be built directly, because pom.xml does not include any version configuration of other library dependencies.

Does anyone know this important piece of information?

Thanks,

Sunny Mok

P.S.: I found those 2 links below, but it seems those links can't help much.

http://lists.jitsi.org/pipermail/dev/2016-May/028537.html

https://github.com/jitsi/jigasi/issues/29

No audio on calls · Issue #29 · jitsi/jigasi · GitHub<https://github.com/jitsi/jigasi/issues/29>
github.com
Creating an issue to track progress of fixing jigasi to work with latest jvb verison. Since latest changes in videobridge jigasi stopped working. It used to work ...

···

Sent from Outlook<http://aka.ms/weboutlook>


#2

That was the main reason we switched to fixed versions in pom.xml. The packages were built automatically, so you can follow the latest commit in the libraries' master branch at the time jitsi-videobridge 527 was built.

That, or try to solve the jigasi issue.

Boris

···

On 21/08/16 20:31, Sunny Mok wrote:

Hi,

First of all, I tried to use the latest stable Jitsi, JVB,
Jigasi packages together for debian, but all calls don't have any voice
at all.

However, it could have 2-way voice if I reinstall JVB with version 527-1.

So, I am trying to build from the JVB version 527-1 source code to
figure out the root cause.

However, it basically cannot be built directly, because pom.xml does not
include any version configuration of other library dependencies.

Does anyone know this important piece of information?


#3

Hi Boris,

Thanks for your prompt reply.

"so you can follow the latest commit in the libraries' master branch at the time jitsi-videobridge 527 was built."

JVB version 527-1 was released around 2015 Oct. I tried to use the libraries before that time.

However, I encountered many incompatibilities.

And some libraries are missing their older versions from the maven repositories as well.

So, I wonder if anyone keep track the exact build/version configuration at that moment?

Thanks,

Sunny Mok

···

Sent from Outlook<http://aka.ms/weboutlook>

________________________________
From: dev <dev-bounces@jitsi.org> on behalf of Boris Grozev <boris@jitsi.org>
Sent: Sunday, August 21, 2016 6:43 PM
To: Jitsi Developers
Subject: Re: [jitsi-dev] How to find or what versions of all library dependencies that JVB version 527-1 are using?

On 21/08/16 20:31, Sunny Mok wrote:

Hi,

First of all, I tried to use the latest stable Jitsi, JVB,
Jigasi packages together for debian, but all calls don't have any voice
at all.

However, it could have 2-way voice if I reinstall JVB with version 527-1.

So, I am trying to build from the JVB version 527-1 source code to
figure out the root cause.

However, it basically cannot be built directly, because pom.xml does not
include any version configuration of other library dependencies.

Does anyone know this important piece of information?

That was the main reason we switched to fixed versions in pom.xml. The
packages were built automatically, so you can follow the latest commit
in the libraries' master branch at the time jitsi-videobridge 527 was
built.

That, or try to solve the jigasi issue.

Boris

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev